package com.fr.plugin;

import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;

public class MyURLAliasProvider extends AbstractURLAliasProvider
{
    @Override
    public URLAlias[] registerAlias()
    {
        return new URLAlias[]
                {
                        URLAliasFactory.createPluginAlias("/apiadd", "/API_ADD", true),
                        URLAliasFactory.createPluginAlias("/apisel", "/API_DEL", true),
                        URLAliasFactory.createPluginAlias("/apisel", "/API_SEL", true),
                        URLAliasFactory.createPluginAlias("/apiupd", "/API_UPD", true),
                        URLAliasFactory.createPluginAlias("/add", "/DBAccess_Add", true),
                        URLAliasFactory.createPluginAlias("/del", "/DBAccess_Del", true),
                        URLAliasFactory.createPluginAlias("/mod", "/DBAccess_Mod", true),
                        URLAliasFactory.createPluginAlias("/sel", "/DBAccess_Sel", true),
                        URLAliasFactory.createPluginAlias("/conf", "/User_IP_Token", true),
                        URLAliasFactory.createPluginAlias("/getTokenURL", "/getTokenURL", true)
                };
    }
}
