!(function ()
{
    var TokenIPUpdatePane = BI.inherit(BI.Widget,
        {
           props:
               {
                   baseCls: "iptoken-table",
                   cType: "token"
               },
            getValue:
                function ()
                {
                    return {
                        params1:this.UserNameORId.getText(),
                        params2:this.inputIPOrToken.getValue()
                    }
                },
            render:
                function()
                {
                    var that = this;
                    var inputIPORTokenText = "请输入IP";
                    var label1 = "ID值：";
                    if(this.options.cType === "token")
                    {
                        inputIPORTokenText = "请输入Token：";
                        label1 = "用户名：";
                    }
                    return {
                        type: "bi.vtape",
                        vgap: 10,
                        height: 200,
                        items:
                            [
                                {
                                    height: 20,
                                    type: "bi.horizontal_adapt",
                                    columnSize: [140, "fill"],
                                    items:
                                        [
                                            {
                                                type: "bi.label",
                                                text: label1
                                            },
                                            {
                                                type: "bi.label",
                                                text: this.options.p1,
                                                ref:
                                                    function(e)
                                                    {
                                                        that.UserNameORId = e;
                                                    }
                                            }
                                        ]
                                },
                                {
                                    height: 20,
                                    type: "bi.horizontal_adapt",
                                    columnSize: [140, "fill"],
                                    items:
                                        [
                                            {
                                                type: "bi.label",
                                                text: inputIPORTokenText
                                            },
                                            {
                                                type: "bi.text_editor",
                                                watermark: "不允许为空！",
                                                allowBlank: false,
                                                value: this.options.p2,
                                                ref:
                                                    function(e)
                                                    {
                                                        that.inputIPOrToken = e;
                                                    },
                                                errorText: "非空！"
                                            }
                                        ]
                                }
                            ]
                    }
                }
        });
    BI.shortcut("bi.upd.userTokenOrIp", TokenIPUpdatePane);
}());